org.kohsuke.stapler

## Class ConstructorProcessor

- java.lang.Object
- - org.kohsuke.stapler.ConstructorProcessor

All Implemented Interfaces:
  com.sun.mirror.apt.AnnotationProcessor

Deprecated.
Requiring 1.6 for development-time. Annotation processing is now a part of the core stapler.

    public class ConstructorProcessor
    extends Object
    implements com.sun.mirror.apt.AnnotationProcessor

Handles `DataBoundConstructor` annotation and captures parameter names.

Author:
  Kohsuke Kawaguchi

### Constructor Summary

Constructors
Constructor and Description
`ConstructorProcessor(com.sun.mirror.apt.AnnotationProcessorEnvironment env)` Deprecated.

### Method Summary

Methods
`void` `process()` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConstructorProcessor

    public ConstructorProcessor(com.sun.mirror.apt.AnnotationProcessorEnvironment env)

Deprecated.

### Method Detail

#### process

    public void process()

Deprecated.

Specified by:
  `process` in interface `com.sun.mirror.apt.AnnotationProcessor`